Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteOrgConfiguration

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteOrgConfiguration

extends java.rmi.Remote

Method Summary
`java.util.List<java.lang.String>` | `getCachedCatalogs()` Current cached catalogs
`java.util.List<java.lang.String>` | `getCachedReports()` Current cached reports
`int` | `getCurConcurrentReports()` Get current concurrent reports number.
`int` | `getCurConcurrentUsers()` Get current concurrent users number.
`int` | `getCurDiskSpace()` Get current used disk size (in GB)
`int` | `getCurMemorySpace()` Get current used memory size (in GB)
`int` | `getMaxCacheCatalogsSpace()` Max size of Organization catalogs can be cached in MB.
`int` | `getMaxCachedCatalogSize()` Maximum cached catalog number.
`int` | `getMaxCachedReportSize()` Maximum cached report number.
`int` | `getMaxCacheImagesSpace()` Max size of images can be cached in MB.
`int` | `getMaxCacheReportsSpace()` Max size of Organization reports can be cached in MB.
`int` | `getMaxConcurrentReports()` Get Max Concurrent reports of the Organization, say, Organization users run these reports.
`int` | `getMaxConcurrentUsers()` Get Max Concurrent users of the Organization.
`int` | `getMaxCubeSpace()` Maximum Cube Memory (Organization catalogs) Allowed in MB.
`int` | `getMaxDiskSpace()` Max disk size reserved for the Organization, including disk space for resources and results files (server history folder), log file (server log folder, in cluster, log size is sum of log file size in all nodes), cached data and cube files (server cache folder), even some temp run time files that are created when Organization users run report/dashboard/VA (server temp folder), in GB.
`int` | `getMaxMemorySpace()` Max memory size reserved for the Organization in GB.
`int` | `getMaxReportDataSpace()` Maximum Report Data Memory (Organization catalogs) Allowed in MB.
`java.util.List<java.lang.String>` | `getPreloadCatalogsName()` Get catalogs which to be preload on system boots.
`java.util.List<java.lang.String>` | `getPreloadReportsName()` Get reports which to be preload on system boots.
`boolean` | `isCompressSwapFiles()` Significantly reduce I/O time by increasing CPU usage.
`boolean` | `isEnabledCacheCatalogs()` Whether enable to cache catalogs.
`boolean` | `isEnabledCacheImages()` Whether enable to cache images.
`boolean` | `isEnabledCacheReports()` Whether enable to cache reports.
`void` | `setCachedCatalog(java.lang.String user, java.lang.String cat, boolean isCache)` load/unload one catalog into/from cache cache.
`void` | `setCachedReport(java.lang.String user, java.lang.String rpt, boolean isCache)` load/unload one report into/from cache cache.
`void` | `setPreloadCatalogsName(java.util.List<java.lang.String> cats)` Set catalogs which to be preload on system boots.
`void` | `setPreloadReportsName(java.util.List<java.lang.String> rpts)` Set reports which to be preload on system boots.
`void` | `setProperty(java.lang.String propName, java.lang.String propValue)` Set property value

Method Detail

### setProperty

    void setProperty(java.lang.String propName,
                     java.lang.String propValue)
                     throws java.rmi.RemoteException

  Set property value

  Parameters:
    `propName` - property name, come from OrgConfiguration.XXXXX
    `propValue` -
  Throws:
    `java.rmi.RemoteException`

### getMaxConcurrentUsers

    int getMaxConcurrentUsers()
                              throws java.rmi.RemoteException

  Get Max Concurrent users of the Organization. In run time, if the Organization concurrent user does not reach max value, but server concurrent user reaches the value given by license, additional Organization user cannot logon. Default value is 1000.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getCurConcurrentUsers

    int getCurConcurrentUsers()
                              throws java.rmi.RemoteException

  Get current concurrent users number.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getMaxConcurrentReports

    int getMaxConcurrentReports()
                                throws java.rmi.RemoteException

  Get Max Concurrent reports of the Organization, say, Organization users run these reports. In run time, if the Organization concurrent report does not reach max value, but server concurrent report reaches the value given by license, additional Organization report cannot run at the same time as other running ones. Default value is 1000.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getCurConcurrentReports

    int getCurConcurrentReports()
                                throws java.rmi.RemoteException

  Get current concurrent reports number.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getMaxDiskSpace

    int getMaxDiskSpace()
                        throws java.rmi.RemoteException

  Max disk size reserved for the Organization, including disk space for resources and results files (server history folder), log file (server log folder, in cluster, log size is sum of log file size in all nodes), cached data and cube files (server cache folder), even some temp run time files that are created when Organization users run report/dashboard/VA (server temp folder), in GB. The smallest value is 1. Default value is 100GB.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getCurDiskSpace

    int getCurDiskSpace()
                        throws java.rmi.RemoteException

  Get current used disk size (in GB)

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getMaxMemorySpace

    int getMaxMemorySpace()
                          throws java.rmi.RemoteException

  Max memory size reserved for the Organization in GB. The smallest value is 1. Default value is 4GB.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getCurMemorySpace

    int getCurMemorySpace()
                          throws java.rmi.RemoteException

  Get current used memory size (in GB)

  Returns:
  Throws:
    `java.rmi.RemoteException`

### isEnabledCacheCatalogs

    boolean isEnabledCacheCatalogs()
                                   throws java.rmi.RemoteException

  Whether enable to cache catalogs. Default value is true.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getMaxCacheCatalogsSpace

    int getMaxCacheCatalogsSpace()
                                 throws java.rmi.RemoteException

  Max size of Organization catalogs can be cached in MB. The minimum value is 0, and the maximum value is 80% Maximum Memory Size. Default value is 50.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### isEnabledCacheReports

    boolean isEnabledCacheReports()
                                  throws java.rmi.RemoteException

  Whether enable to cache reports. Default value is true.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getMaxCacheReportsSpace

    int getMaxCacheReportsSpace()
                                throws java.rmi.RemoteException

  Max size of Organization reports can be cached in MB. The min value is 0, and the max value is 80% Maximum Memory Size. Default value is 50MB.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### isEnabledCacheImages

    boolean isEnabledCacheImages()
                                 throws java.rmi.RemoteException

  Whether enable to cache images. Default value is true.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getMaxCacheImagesSpace

    int getMaxCacheImagesSpace()
                               throws java.rmi.RemoteException

  Max size of images can be cached in MB. The min value is 0, and the max value is 80% Maximum Memory Size. Default value is 50MB.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getMaxReportDataSpace

    int getMaxReportDataSpace()
                              throws java.rmi.RemoteException

  Maximum Report Data Memory (Organization catalogs) Allowed in MB. The min value is 0, and the max value is 80% Maximum Memory Size. Default value is 500MB.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getMaxCubeSpace

    int getMaxCubeSpace()
                        throws java.rmi.RemoteException

  Maximum Cube Memory (Organization catalogs) Allowed in MB. The min value is 0, and the max value is 80% Maximum Memory Size. Default value is 500MB.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### isCompressSwapFiles

    boolean isCompressSwapFiles()
                                throws java.rmi.RemoteException

  Significantly reduce I/O time by increasing CPU usage. Default value is false.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getPreloadCatalogsName

    java.util.List<java.lang.String> getPreloadCatalogsName()
                                                            throws java.rmi.RemoteException

  Get catalogs which to be preload on system boots.

  Returns:
    each element represent one catalog which has below pattern: [resource path]-V[version number].
  Throws:
    `java.rmi.RemoteException`

### setPreloadCatalogsName

    void setPreloadCatalogsName(java.util.List<java.lang.String> cats)
                                throws java.rmi.RemoteException

  Set catalogs which to be preload on system boots.

  Parameters:
    `cats` - each element represent one catalog which has below pattern: [resource path]-V[version number].
  Throws:
    `java.rmi.RemoteException`

### getPreloadReportsName

    java.util.List<java.lang.String> getPreloadReportsName()
                                                           throws java.rmi.RemoteException

  Get reports which to be preload on system boots.

  Returns:
    each element represent one report which has below pattern: [resource path]-V[version number].
  Throws:
    `java.rmi.RemoteException`

### setPreloadReportsName

    void setPreloadReportsName(java.util.List<java.lang.String> rpts)
                               throws java.rmi.RemoteException

  Set reports which to be preload on system boots.

  Parameters:
    `rpts` - each element represent one report which has below pattern: [resource path]-V[version number].
  Throws:
    `java.rmi.RemoteException`

### getMaxCachedCatalogSize

    int getMaxCachedCatalogSize()
                                throws java.rmi.RemoteException

  Maximum cached catalog number.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getCachedCatalogs

    java.util.List<java.lang.String> getCachedCatalogs()
                                                       throws java.rmi.RemoteException

  Current cached catalogs

  Returns:
    each element represent one catalog which has below pattern: [resource path]-V[version number].
  Throws:
    `java.rmi.RemoteException`

### setCachedCatalog

    void setCachedCatalog(java.lang.String user,
                          java.lang.String cat,
                          boolean isCache)
                          throws java.rmi.RemoteException

  load/unload one catalog into/from cache cache.

  Parameters:
    `user` - submitter
    `cat` - represent one catalog to be cached or unload which has below pattern: [resource path]-V[version number]
    `isCache` - if true will load this catalog into cache, otherwise will unload this catalog
  Throws:
    `java.rmi.RemoteException`

### getMaxCachedReportSize

    int getMaxCachedReportSize()
                               throws java.rmi.RemoteException

  Maximum cached report number.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getCachedReports

    java.util.List<java.lang.String> getCachedReports()
                                                      throws java.rmi.RemoteException

  Current cached reports

  Returns:
    each element represent one report which has below pattern: [resource path]-V[version number].
  Throws:
    `java.rmi.RemoteException`

### setCachedReport

    void setCachedReport(java.lang.String user,
                         java.lang.String rpt,
                         boolean isCache)
                         throws java.rmi.RemoteException

  load/unload one report into/from cache cache.

  Parameters:
    `user` - submitter
    `rpt` - represent one report to be cached or unload which has below pattern: [resource path]-V[version number]
    `isCache` - if true will load this report into cache, otherwise will unload this report
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD